#include <stdio.h>
#include <stdlib.h>
#include <deco.h>

int main() {
    deco_conf_t *conf;
    deco_profile_t *profile;
    deco_info_t *info;
    deco_stop_t stop;
    int r, i;

    conf = deco_conf_new();
    if (!conf) {
        printf("%s\n", deco_error(deco_errno));
        return(-1);
    }
    conf->gf_low = 20;

    profile = calloc(1, sizeof(deco_profile_t));
    r = deco_segment_add(profile, 45, 30); // 45m for 25min
    r = deco_gas_add(conf, 0, 27, 0); // add EAN29
    r = deco_gas_add(conf, 22, 50, 0); // add EAN50 to be used at 22m

    info = deco_calculate(profile, conf);
    if (!info) {
        printf("%s\n", deco_error(deco_errno));
        return(-1);
    }

    for (i = 0; i < info->n_stops; i++) {
        stop = info->stops[i];
        printf("%dm %dmin\n", stop.depth, stop.time);
    }

    deco_free(profile, conf, info);
}
/* vim: sw=4:et:ai */
