#
# DecoMecha - diving decompression library.
#
# Copyright (C) 2013 by Artur Wroblewski <wrobell@pld-linux.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

"""
The libdeco-ostc project profile unit tests.

Each profile unit test creates exactly one dive and verifies its
decompression requirements. A dive has to be **real life** dive.

The number of deco stops, their depths and lengths are verified very
strictly (no flexibility here), but each test is accompanied with
description of decompression information calculated by other software
(at least two examples per dive). If a test fails, then some analysis needs
to be done to see if the test needs just a bit of adjustment or it really
failed and there is something wrong with libdeco-ostc's calculations.

Summary of requirements

- one, real life dive per test
- strict verification
- two sets of decompression stops information from other software
"""

# vim: sw=4:et:ai
